Automate the investigation of your endpoint malware alerts and incidents.


Malware, or malicious software, is software designed to disrupt, damage, or gain unauthorized access to a computer system.   There are approximately 5.6 billion malware attacks annually.  Malware investigations require security teams to reconcile data from multiple security products including EDRs, sandbox & malware analysis tools, and threat intelligence providers.  Performing investigations manually wastes valuable time when malware may be propagating within an organization, costs resources given with high alert volume, and can lead to inconsistent investigations.  

##### What does this pack do?
The Malware Investigation & Response pack accelerates the investigation process for endpoint malware incidents and alerts by collecting evidence of malicious behaviors by searching telemetry data available through EDRs and processing malware analysis reports through sandboxes.  Incident layouts also include buttons to quickly trigger containment activities quickly.  Evidence is closely mapped to MITRE ATT&CK and answer questions such as:

- Evidence of Persistence (registry, scheduled jobs etc., …)
- Evidence of Evasion or Tampering (service stop,  process kill etc., …)
- Evidence of Lateral Movement (network connections, file share enumeration etc.…)
- Powershell abuse and Command-line analysis
and more …

Other notable capabilities:
Forensic data including, running processes and open network connections at alert detection time
File retrieval and sandbox detonation
Processing of select sandbox reports & layout visualization
Indicator extraction and threat intelligence enrichment
Tagging of malicious and benign indicators to tie into allow & deny lists for threat prevention and false- positive management
Incident mirroring & closure with EDR
Support for aggregate incidents from EDRs, which may include multiple alerts & files

![Malware Investigation & Response Incident Handler](https://raw.githubusercontent.com/demisto/content/78e4fb246c3fa57e6201ee2791fd4919864ed956/Packs/MalwareInvestigationAndResponse/doc_files/Malware_Investigation_%26_Response_Incident_Handler.png)

##### Onboarding & Setup
This pack leverages the new deployment wizard capability in XSOAR 6.8 to streamline deployment and configuration.  

Primary Playbook: Malware Investigation and Response Incident Handler
Primary Incident Type: Malware Investigation and Response

Notable Dependencies & Recommendations
Supported EDRs: 
Crowdstrike Falcon
Cortex XDR
Microsoft Defender for Endpoint
Palo Alto WildFire
Crowdstrike FalconX
